org.apache.geode

## Interface StatisticDescriptor

- All Superinterfaces:
    java.lang.Comparable<StatisticDescriptor>

      public interface StatisticDescriptor
      extends java.lang.Comparable<StatisticDescriptor>

  Describes an individual statistic whose value is updated by an application and may be archived by GemFire. These descriptions are gathered together in a `StatisticsType`.

  To get an instance of this interface use an instance of `StatisticsFactory`.

  `StatisticDescriptor`s are naturally ordered by their name.

  Since:
    GemFire 3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` Returns a description of this statistic
    `int` | `getId()` Returns the id of this statistic in a `statistics type`.
    `java.lang.String` | `getName()` Returns the name of this statistic
    `java.lang.Class<?>` | `getType()` Returns the type of this statistic
    `java.lang.String` | `getUnit()` Returns the unit in which this statistic is measured
    `boolean` | `isCounter()` Returns true if this statistic is a counter; false if its a gauge.
    `boolean` | `isLargerBetter()` Returns true if a larger statistic value indicates better performance.

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Method Detail

    - #### getId

          int getId()

      Returns the id of this statistic in a `statistics type`. The id is initialized when its statistics type is created.
      Throws:
        `java.lang.IllegalStateException` - The id has not been initialized yet

    - #### getName

          java.lang.String getName()

      Returns the name of this statistic

    - #### getDescription

          java.lang.String getDescription()

      Returns a description of this statistic

    - #### getType

          java.lang.Class<?> getType()

      Returns the type of this statistic

    - #### isCounter

          boolean isCounter()

      Returns true if this statistic is a counter; false if its a gauge. Counter statistics have values that always increase. Gauge statistics have unconstrained values.

    - #### isLargerBetter

          boolean isLargerBetter()

      Returns true if a larger statistic value indicates better performance.

    - #### getUnit

          java.lang.String getUnit()

      Returns the unit in which this statistic is measured